Bug 250826 - Inkscape 0.45.1-1.fc7 x86_64 fails to open: segmentation error occurs
Inkscape 0.45.1-1.fc7 x86_64 fails to open: segmentation error occurs
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: inkscape (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Denis Leroy
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-03 16:20 EDT by stephane ploix
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-10 04:04:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description stephane ploix 2007-08-03 16:20:00 EDT
Description of problem:
When I try to start Inkscape, I get a "Erreur de Fragmentation" message in
terminal. In dmesg, I get:
inkscape[25406]: segfault at 0000000000000120 rip 000000362861bec9 rsp
00007fffd8bdb960 error 4

Version-Release number of selected component (if applicable):
kernel: Linux host 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:21:43 EDT 2007 x86_64
x86_64 x86_64 GNU/Linux
Inkscape: 0.45.1-1.fc7 x86_64 (install from Fedora repository with yum) 

How reproducible:
Can be reproduced every time I try to start Inkscape.
Comment 1 Mace Moneta 2007-08-06 17:08:49 EDT
Seeing the same on FC6 now.  An strace shows:

...
access("/etc/selinux/", F_OK)           = 0
brk(0)                                  = 0x8e75000
brk(0x8e96000)                          = 0x8e96000
open("/etc/selinux/config", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0644, st_size=512, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7
ffb000
read(3, "# This file controls the state o"..., 4096) = 512
read(3, "", 4096)                       = 0
close(3)                                = 0
munmap(0xb7ffb000, 4096)                = 0
open("/proc/mounts", O_RDONLY|O_LARGEFILE) = 3
fstat64(3, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0xb7
ffb000
read(3, "rootfs / rootfs rw 0 0\n/dev/root"..., 1024) = 1024
close(3)                                = 0
munmap(0xb7ffb000, 4096)                = 0
open("/selinux/mls", O_RDONLY|O_LARGEFILE) = 3
read(3, "1", 19)                        = 1
close(3)                                = 0
socket(PF_FILE, SOCK_STREAM, 0)         = 3
connect(3, {sa_family=AF_FILE, path="/var/run/setrans/.setrans-unix"}, 110) = 0
sendmsg(3, {msg_name(0)=NULL, msg_iov(5)=[{"\1\0\0\0", 4}, {"\1\0\0\0", 4}, {"\1
\0\0\0", 4}, {"\0", 1}, {"\0", 1}], msg_controllen=0, msg_flags=0}, MSG_NOSIGNAL
) = 14
readv(3, [{"\1\0\0\0", 4}, {"\1\0\0\0", 4}, {"\0\0\0\0", 4}], 3) = 12
readv(3, [{"\0", 1}], 1)                = 1
close(3)                                = 0
futex(0x4a1626d8, FUTEX_WAKE, 2147483647) = 0
brk(0x8eb7000)                          = 0x8eb7000
gettimeofday({1186434341, 589972}, NULL) = 0
--- SIGSEGV (Segmentation fault) @ 0 (0) ---
+++ killed by SIGSEGV +++
Process 27198 detached
Comment 2 Mace Moneta 2007-08-06 17:35:38 EDT
I isolated the problem to libgc being pulled in from the DRIES repository,
replacing the gc package from Fedora.

To correct, I blacklisted libgc in the dries.repo, and:

yum remove libgc inkscape
yum install inkscape

This caused the correct gc package to be pulled as a requisite.
Comment 3 Need Real Name 2007-08-07 14:06:53 EDT
... me too.

Thanks to Comment #2, I was able to peform something a little less elegant, but
it worked (I prefer the smart package manager):

        smart remove libgc inkscape
        smart channel --disable dries
        smart install inkscape
        smart channel --enable dries

Thanks to M. Moneta for the helpful comment.
Comment 4 Denis Leroy 2007-08-10 04:04:45 EDT
Sorry for the radio silence, was on vacation. This wad indeed a gc problem, as
noted here:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=248700

Out of curiosity, why are you guys using Dries' repo ? (which is frankly very
poorly maintained).

Note You need to log in before you can comment on or make changes to this bug.